Summary:	A KDE frontend for tor
Name:		tork
Version:	0.27
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
URL:		http://tork.sourceforge.net
Source0:	http://downloads.sourceforge.net/tork/%{name}-%{version}.tar.bz2
Patch0:		tork-0.27-tsocks-libdir.patch
BuildRequires:	libgeoip-devel
BuildRequires:	kdebase-devel
BuildRequires:	kdelibs-devel
BuildRequires:	glibc-static-devel
BuildRequires:	openssl-devel
#(tpg) libiberty-devel
BuildRequires:	binutils-devel
Requires:	tor
Requires:	privoxy
Obsoletes:	%mklibname torksocks 1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
TorK is an anonymity manager for the KDE Desktop.
Browse anonymously on Konqueror/Firefox/Opera. 
Send anonymous email via the MixMinion network. 
Use ssh/irc/IM anonymously.Control and monitor 
your anonymous traffic on the Tor network.

Please first run tor and privoxy services before configuring TorK.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--with-external-geoip \
	--enable-pch \
	--enable-nmcheck \
	--disable-rpath \
	--enable-socksdns

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove useless stuff
rm -rf %{buildroot}%{_datadir}/menu
rm -rf %{buildroot}%{_libdir}/*.la

# (tpg) do not hardcode libdir
%ifnarch ix86
perl -pi -e 's,/usr/lib,%{_libdir},g' %{buildroot}%{_bindir}/torksocks
%endif

%find_lang %{name} --with-html

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/tork/libtorksocks.*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/*.png
%{_datadir}/pixmaps/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/kicker/menuext/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/services/*.protocol
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/*.conf


%changelog
* Sun Mar 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.27-2mdv2008.1
+ Revision: 183155
- welcome back patch 0
- drop patch0, fixed upstream
- new version

* Sun Feb 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.26-3mdv2008.1
+ Revision: 164991
- rebuild against new binutils

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.26-2mdv2008.1
+ Revision: 155421
- rebuild against new tor

* Wed Jan 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.26-1mdv2008.1
+ Revision: 140252
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.1-1mdv2008.1
+ Revision: 117602
- rework patch 0
- merge library into main package
- correct summary
- new version

* Fri Nov 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.23-1mdv2008.1
+ Revision: 107191
- remove *la file
- rework patch 0
- new version

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.22-1mdv2008.1
+ Revision: 105762
- rework patch 0
- new version
- new license policy

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0.21-1mdv2008.1
+ Revision: 100826
- rediff prefix patch
- clean up spec
- fix file list
- add patch to make it follow DESTDIR when installing to /etc
- New version 0.21

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20-1mdv2008.0
+ Revision: 93971
- remove hardcoded libdir (should work on x86_64)
- correct path for config files
- mark tork-tsocks.conf as a config file
- new version

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-2mdv2008.0
+ Revision: 57701
- fix build on i586
- fix building on x86_64
- add buildrequires on libbinutils-devel
- provide a libtorksocks library
- new version

* Fri Jun 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17-1mdv2008.0
+ Revision: 43153
- fix file list
- adjust buildrequires
- kill X-MandrivaLinux
- new version

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16-1mdv2008.0
+ Revision: 27745
- new version

* Sat May 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15-2mdv2008.0
+ Revision: 23038
- set requires on privoxy
- update description

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15-1mdv2008.0
+ Revision: 22541
- correct buildrequires
- configure script finds qt3 libraries on x86_64 now
- make it work
- fix group
- Import tork

